// CharStripper.cpp | by Doug Manley
///////////////////////////////////////////////////////////
#include <stdio.h>
#include <stdlib.h>
#include <string>
using namespace std;
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
// Typedefs:
typedef unsigned char Uint8;
typedef unsigned short Uint16;
typedef unsigned long int Uint32;
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
int main( int argc, char *argv[] ) {
	if( argc == 2 ) {
		string fname_in = argv[1];
		string fname_out;
		int pos = fname_in.find_last_of('.');
		if( pos >= 0 ) {
			fname_out = fname_in.substr(0,pos);
			fname_out += ".stripped";
			fname_out += fname_in.substr(pos,-1);
		} else {
			fname_out = fname_in + ".stripped";
		}

		FILE *f_in = fopen( fname_in.c_str(), "rb" );
		if( !f_in ) {
			return(-1);
		}
		FILE *f_out = fopen( fname_out.c_str(), "wb" );
		if( !f_out ) {
			return(-1);
		}

		char last = 0;
		while( !feof(f_in) ) {
			char buffer[1];
			fread( buffer, sizeof(char), 1, f_in );

			/*static int i = 0;
			i++;
			if( i > 30 ) {  break;  }
			fprintf(f_out,"|%x|",buffer[0]);//*/


			if( last == 0x00 && buffer[0] == 0x0D ) {
				//
				//printf("!");
			} else {
				fwrite( buffer, sizeof(char), 1, f_out );
			}

			last = buffer[0];
		}
	}
	return(0);
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
