// Invert.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef INVERT_H
#define INVERT_H
///////////////////////////////////////////////////////////
#include <windows.h>
///////////////////////////////////////////////////////////
// Invert the brush's color:
void InvertColor( SolidBrush &brush ) {
	Color color;
		brush.GetColor( &color );
	Color color2( 255-color.GetR(), 255-color.GetG(), 255-color.GetB() );
	brush.SetColor( color2 );
}

// Invert the pen's color:
void InvertColor( Pen &pen ) {
	Color color;
		pen.GetColor( &color );
	Color color2( 255-color.GetR(), 255-color.GetG(), 255-color.GetB() );
	pen.SetColor( color2 );
}
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////
