// Log.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef LOG_H
#define LOG_H
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
FILE *g_flogu = NULL;
///////////////////////////////////////////////////////////
bool Log_Open() {
	if( g_flogu ) {  return(false);  }

	g_flogu = fopen("out.uni.txt","wb");
	if( g_flogu ) {
		fwprintf(g_flogu,L"%c",0xFEFF);
		return(true);
	}
	return(false);
}

bool Log_Close() {
	if( g_flogu ) {
		fclose(g_flogu);
		return(true);
	}
	return(false);
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
void Log( const Uint16 *fmt, ... ) {
	if( !g_flogu ) {
		return;
	}

	Uint16 text[5000]; // Holds Our String
	va_list ap; // Pointer To List Of Arguments

	if( fmt == NULL ) { // If There's No Text
		return; // Do Nothing
	}

	va_start( ap, fmt ); // Parses The String For Variables
		vswprintf(text, fmt, ap); // And Converts Symbols To Actual Numbers
	va_end(ap); // Results Are Stored In Text


	fwprintf(g_flogu,L"%s",text );
	fflush( g_flogu );
}
///////////////////////////////////////////////////////////
int debug_level = 0;
void Log( int level, const Uint16 *fmt, ... ) {
	if( debug_level < level ) {
		return;
	}
	if( !g_flogu ) {
		return;
	}

	Uint16 text[5000]; // Holds Our String
	va_list ap; // Pointer To List Of Arguments

	if( fmt == NULL ) { // If There's No Text
		return; // Do Nothing
	}

	va_start( ap, fmt ); // Parses The String For Variables
		vswprintf(text, fmt, ap); // And Converts Symbols To Actual Numbers
	va_end(ap); // Results Are Stored In Text


	fwprintf(g_flogu,L"%s",text );
	fflush( g_flogu );
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////
